<%@ Page debug="true"%>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<SCRIPT language="C#" runat="server">
// stringa di conn
string connstring = @"server=localhost;database=master;trusted_connection=true;";

void Page_Load () {
   // estrazione dati
   if (Page.IsPostBack) {

     // che direzione?
     switch (direzione.SelectedItem.Text) {
       case "Horizontal":
         myDataList.RepeatDirection = RepeatDirection.Horizontal;
         break;
       case "Vertical":
         myDataList.RepeatDirection = RepeatDirection.Vertical;
         break;
     }

     // quanti per riga?
     myDataList.RepeatColumns = Convert.ToInt32(quanti.Text.ToString());
   } 

   bindData() ;
}

// routine di estrazione dati
void bindData () {
   // effettuo il DataBinding sul control
   // connessione 
   SqlConnection conn = new SqlConnection(connstring); 

   // query 
   SqlDataAdapter query = new SqlDataAdapter("SELECT * FROM rubrica", conn); 

   // creo il dataset 
   DataSet querydataset = new DataSet(); 
   query.Fill(querydataset); 

   myDataList.DataSource = querydataset;
   myDataList.DataBind ( );
}

</SCRIPT>

<form runat="server">

Quanti per riga? <asp:textbox id="quanti" runat="server" text="3"/><br>
Che direzione?
<asp:dropdownlist id="direzione" runat="server">
<asp:ListItem>Horizontal</asp:ListItem>
<asp:ListItem>Vertical</asp:ListItem>
</asp:dropdownlist>
<br><br>
<input type="submit" value="Cambia visualizzazione">
<br><br><br>

<asp:DataList id="myDataList" runat="server" cellspacing="5"
ItemStyle-BackColor="red"
AlternatingItemStyle-BackColor="green" >
<ItemTemplate>
<%# DataBinder.Eval(Container.DataItem, "nome") %><br>
<%# DataBinder.Eval(Container.DataItem, "telefono") %>
</ItemTemplate>
</asp:DataList>

</form>