<%@Page Language="VB"%>
<%@Import Namespace="System.Data" %>
<%@Import Namespace="System.Data.SQLClient" %>

<asp:label id="lblErrori" runat="server"/>

<h4>Ultimi 7 numeri in rubrica</h4>

<ASP:Repeater id="MyRepeater" runat="server">
  <ItemTemplate>
    <p><b><%# Container.DataItem("nome") %></b><br>
	Indirizzo <%# DataBinder.Eval(Container.DataItem, "indirizzo") %><br>
	Numero di telefono <%# DataBinder.Eval(Container.DataItem, "telefono")%><br>
    </p><hr>
  </ItemTemplate>
</ASP:Repeater>

<script language="vb" runat="server">

Sub Page_Load()

	Dim strConnect As String = ConfigurationSettings.AppSettings("database")

	' query SQL
	Dim strSelect As String
	strSelect = "SELECT TOP 7 * FROM rubrica ORDER BY ID DESC"

	' DataReader
	Dim objDataReader As SQLDataReader
	Dim objConnect As New SQLConnection(strConnect)

	Try
		' connessione
		objConnect.Open()

		' oggetto command
		Dim objCommand As New SQLCommand(strSelect, objConnect)

		' esecuzione della query e salvataggio nell'oggeto command
		objDataReader = objCommand.ExecuteReader()

		' setto la risorsa e databind
		MyRepeater.DataSource = objDataReader
		MyRepeater.DataBind()

	Catch ex As Exception
		'errore
		lblErrori.Text = "<b>Errore</b>:" & ex.Message & "<br>" & ex.Source & "<p />"
		lblErrori.Text += ex.ToString()
		Exit Sub
	Finally
		if not objDataReader is nothing then objDataReader.Close()
		objConnect.Close()
	End Try

	'if not objConnect is nothing then objConnect.Close()
End Sub

</script>